/***************************************************************************
                          reportview.h  -  description
                             -------------------
    begin                : Sun Oct 15 2000
    copyright            : (C) 2000 by Ian Reinhart Geiser
    email                : geiseri@msoe.edu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef REPORTVIEW_H
#define REPORTVIEW_H

#include <qdialog.h>

class KHTMLPart;

/**This is the main report generated for the user.
  *@author Ian Reinhart Geiser
  */

class reportView : public QDialog {
   Q_OBJECT
public: 
	reportView( QWidget *parent=0, const char *name=0);
	///, boolmodal=true, WFlagsf=0
  /** Render the document */
  void render();
  /**  */
  void setTemp( QString theTemp);
	~reportView();
  /**  */
  void setTime( QString data );
  /**  */
  void setWindData( QString data);
  /**  */
  void setDate( QString data );
  /**  */
  void setPressure( QString data );
  /** the current weather */
  void setCurrent(QString text);
  /**  */
  void setOffset( int offset );
  void setIcon( const QString &icon );
private:
	KHTMLPart *theReport;
	QString theReportText;
	QString currentTemp;
	QString currentTime;
	QString currentPressure;
	QString currentWind;
	QString currentDate;
	QString currentClouds;
	QString currentWeather;
	QString currentIcon;
};

#endif
